Get AI exploration snapshot
Returns a PNG screenshot captured during site analysis. Snapshot metadata is stored in the demo's snapshots field.
GET
/api/v1/demos/{id}/snapshots/{index}
Returns a PNG screenshot captured during site analysis. Snapshot metadata is stored in the demo's snapshots field.
Path Parameters
id
string
required
path
index
string
required
path
Responses
200
Snapshot PNG
No response body
404
Not found
curl -X GET 'https://littledemo.com/api/v1/demos/string/snapshots/string' \ -H 'Authorization: Bearer YOUR_API_TOKEN'
const response = await fetch('https://littledemo.com/api/v1/demos/string/snapshots/string', { method: 'GET', headers: { "Authorization": "Bearer YOUR_API_TOKEN" }});const data = await response.json();console.log(data);
import requestsheaders = { 'Authorization': 'Bearer YOUR_API_TOKEN'}response = requests.get('https://littledemo.com/api/v1/demos/string/snapshots/string', headers=headers)print(response.json())
API Playground
Try this endpoint
GET
/api/v1/demos/{id}/snapshots/{index}